# Contributing Guide

## Requirements for a service to be listed:

- [x] Clear privacy-oriented / own your data policy.
- [x] No user-tracking on project website. Only tracking listed under [Analytics](https://github.com/pluja/awesome-privacy#analytics) allowed.
- [x] Open source code is very valuable since it allows you to trust in the project (you can review the code) and not just trust the words. But some service without Open Source code may be added if there is special trust from community and has a good history privacy-wise.

> Every project will need investigation. And of course all listings / additions / PRs and issues are open to discussion as I am human and I may make mistakes.

## Pull Requests

If you are familiar you can add a *section* or a *service* yourself via **pull request**. This is the better way.

If you are not familiar with Github and PRs you can open a new issue and explain what you want to add there.

### Adding a new section
To add a new section copy the following template and complete with the information:

```
## Section Title

<img width="16" src="misc/forbidden.png"> </img> **Avoid**

[OPTIONAL EXPLANATION OF WHY THESE SERVICES ARE BAD]

- Bad Service 1
- Bad Service 2
- Bad Service 3

<img width="16" src="misc/check.png"> </img>  **Instead use**

[OPTIONAL EXPLANATION OF WHY THESE SERVICES ARE GOOD]

- [Good Service 1](https://link-to-source-or-page1) - Little description of the service.
- [Good Service 2](https://link-to-source-or-page2) - Little description of the service.
- [Good Service 2](https://link-to-source-or-page3) - Little description of the service.
```
You also need to add the section to the **Table of Contents (Contents)** at the top of the document:

`- [Section Title](#section-title)`

### Adding a new service

To add a new service just take the following template and add it to the section where it belongs:

`- [Service Name](https://link-to-source-or-page) - Little description of the service`

> You can add either a *good* (use) or a *bad* (avoid) service.
